"""Stub file for victory.py"""
# ------------------- DO NOT EDIT ----------------------
# This file was generated by `scripts/pyi_generator.py`!
# ------------------------------------------------------

from typing import Union, Optional, Dict, overload, List, Any
from reflex.components.component import Component
from reflex.vars import Var, BaseVar, ComputedVar
from reflex.event import EventChain

def format_xy(x: List, y: List) -> List: ...
def format_line(x: List, y: List) -> List: ...
def format_scatter(x: List, y: List, amount: Optional[List] = None) -> List: ...
def format_area(x: List, y: List, y0: Optional[List] = None) -> List: ...
def format_bar(x: List, y: List, y0: Optional[List] = None) -> List: ...
def format_box_plot(
    x: List,
    y: Optional[List[Any]] = None,
    min_: Optional[List[Any]] = None,
    max_: Optional[List[Any]] = None,
    median: Optional[List[Any]] = None,
    q1: Optional[List[Any]] = None,
    q3: Optional[List[Any]] = None,
) -> List: ...
def format_histogram(x: List) -> List: ...
def format_pie(x: List, y: List, label: Optional[List] = None) -> List: ...
def format_voronoi(x: List, y: List) -> List: ...
def format_candlestick(
    x: List, open: List, close: List, high: List, low: List
) -> List: ...
def format_error_bar(x: List, y: List, error_x: List, error_y: List) -> List: ...
def data(graph: str, x: List, y: Optional[List] = None, **kwargs) -> List: ...

class Victory(Component):
    @overload
    @classmethod
    def create(cls, *children, data: Optional[Union[Var[List[Dict]], List[Dict]]] = None, height: Optional[Union[Var[str], str]] = None, width: Optional[Union[Var[str], str]] = None, max_domain: Optional[Union[Var[Dict], Dict]] = None, min_domain: Optional[Union[Var[Dict], Dict]] = None, polar: Optional[Union[Var[bool], bool]] = None, scale: Optional[Union[Var[Dict], Dict]] = None, labels: Optional[Union[Var[List], List]] = None, horizontal: Optional[Union[Var[bool], bool]] = None, standalone: Optional[Union[Var[bool], bool]] = None, sort_order: Optional[Union[Var[str], str]] = None, padding: Optional[Union[Var[Dict], Dict]] = None, domain_padding: Optional[Union[Var[Dict], Dict]] = None, custom_style: Optional[Union[Var[Dict[str, str]], Dict[str, str]]] = None, **props) -> "Victory": ...  # type: ignore

class Chart(Victory):
    @overload
    @classmethod
    def create(cls, *children, start_angle: Optional[Union[Var[int], int]] = None, end_angle: Optional[Union[Var[int], int]] = None, domain_padding: Optional[Union[Var[Dict], Dict]] = None, **props) -> "Chart": ...  # type: ignore

class Line(Victory):
    @overload
    @classmethod
    def create(cls, *children, interpolation: Optional[Union[Var[str], str]] = None, **props) -> "Line": ...  # type: ignore

class Bar(Victory):
    @overload
    @classmethod
    def create(cls, *children, alignment: Optional[Union[Var[str], str]] = None, bar_ratio: Optional[Union[Var[float], float]] = None, bar_width: Optional[Union[Var[int], int]] = None, corner_radius: Optional[Union[Var[float], float]] = None, **props) -> "Bar": ...  # type: ignore

class Area(Victory):
    @overload
    @classmethod
    def create(cls, *children, interpolation: Optional[Union[Var[str], str]] = None, **props) -> "Area": ...  # type: ignore

class Pie(Victory):
    @overload
    @classmethod
    def create(cls, *children, color_scale: Optional[Union[Var[Union[str, List[str]]], Union[str, List[str]]]] = None, corner_radius: Optional[Union[Var[float], float]] = None, label_placement: Optional[Union[Var[str], str]] = None, label_position: Optional[Union[Var[str], str]] = None, label_radius: Optional[Union[Var[float], float]] = None, pad_angle: Optional[Union[Var[float], float]] = None, radius: Optional[Union[Var[float], float]] = None, inner_radius: Optional[Union[Var[float], float]] = None, start_angle: Optional[Union[Var[float], float]] = None, end_angle: Optional[Union[Var[float], float]] = None, **props) -> "Pie": ...  # type: ignore

class Candlestick(Victory):
    @overload
    @classmethod
    def create(cls, *children, candle_colors: Optional[Union[Var[Dict], Dict]] = None, candle_ratio: Optional[Union[Var[float], float]] = None, candle_width: Optional[Union[Var[float], float]] = None, close_labels: Optional[Union[Var[List], List]] = None, **props) -> "Candlestick": ...  # type: ignore

class Scatter(Victory):
    @overload
    @classmethod
    def create(cls, *children, bubble_property: Optional[Union[Var[str], str]] = None, min_bubble_size: Optional[Union[Var[float], float]] = None, max_bubble_size: Optional[Union[Var[float], float]] = None, **props) -> "Scatter": ...  # type: ignore

class BoxPlot(Victory):
    @overload
    @classmethod
    def create(cls, *children, box_width: Optional[Union[Var[float], float]] = None, **props) -> "BoxPlot": ...  # type: ignore

class Histogram(Victory):
    @overload
    @classmethod
    def create(cls, *children, bins: Optional[Union[Var[List], List]] = None, bin_spacing: Optional[Union[Var[float], float]] = None, corner_radius: Optional[Union[Var[float], float]] = None, **props) -> "Histogram": ...  # type: ignore

class ErrorBar(Victory):
    @overload
    @classmethod
    def create(cls, *children, border_width: Optional[Union[Var[float], float]] = None, **props) -> "ErrorBar": ...  # type: ignore

class ChartGroup(Victory):
    @overload
    @classmethod
    def create(cls, *children, color_scale: Optional[Union[Var[Union[str, List[str]]], Union[str, List[str]]]] = None, color: Optional[Union[Var[str], str]] = None, offset: Optional[Union[Var[float], float]] = None, **props) -> "ChartGroup": ...  # type: ignore

class ChartStack(Victory):
    @overload
    @classmethod
    def create(cls, *children, categories: Optional[Union[Var[int], int]] = None, color_scale: Optional[Union[Var[Union[str, List[str]]], Union[str, List[str]]]] = None, **props) -> "ChartStack": ...  # type: ignore

class Voronoi(Victory):
    @overload
    @classmethod
    def create(cls, *children, **props) -> "Voronoi": ...  # type: ignore

class Polar(Victory):
    @overload
    @classmethod
    def create(cls, *children, dependent_axis: Optional[Union[Var[bool], bool]] = None, **props) -> "Polar": ...  # type: ignore
